/************************************************************************************
*
* This file is controlled by Virtuoso........
*
************************************************************************************/
#ifndef VIRTUOSO_H
#define VIRTUOSO_H
#ifdef __cplusplus
extern "C" {
#endif
#define hUpStream1 1
#define hDownStream1 0

void InitializeVirtuoso(void);
void BeginCriticalSection(void);
void EndCriticalSection(void);
void WriteBufferToVirtuosoUpStream(int hHandle, unsigned char* pSource, int Length);
void WriteStringToVirtuosoUpStream(int hHandle, unsigned char Txt[]);
void DownStreamISR(unsigned char * pSrc, int Length);

#ifdef __cplusplus
}
#endif
#endif
